package com.tcl.ah.tvcontrol.mqtt.config;

public class MqttConfig {
    private String username;
    private String password;
    private String clientId;
    private String port;
    private String topic;
    private String serverUrl;

    public MqttConfig() {

    }

    public String getUsername() {
        return username;
    }

    public MqttConfig setUsername(String username) {
        this.username = username;
        return this;
    }

    public String getPassword() {
        return password;
    }

    public MqttConfig setPassword(String password) {
        this.password = password;
        return this;
    }

    public String getClientId() {
        return clientId;
    }

    public MqttConfig setClientId(String clientId) {
        this.clientId = clientId;
        return this;
    }

    public String getTopic() {
        return topic;
    }

    public MqttConfig setTopic(String topic) {
        this.topic = topic;
        return this;
    }

    public String getServerUrl() {
        return serverUrl;
    }

    public MqttConfig setServerUrl(String serverUrl) {
        this.serverUrl = serverUrl;
        return this;
    }

    public String getPort() {
        return port;
    }

    public MqttConfig setPort(String port) {
        this.port = port;
        return this;
    }

    @Override
    public String toString() {
        return "MqttConfig{" +
                "username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", clientId='" + clientId + '\'' +
                ", port='" + port + '\'' +
                ", topic='" + topic + '\'' +
                ", serverUrl='" + serverUrl + '\'' +
                '}';
    }



}
